Glib::Value_RefPtrBoxed< T > Class Template Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value_RefPtrBoxed< T >:
[legend]

## Public Types

using | CppType = Glib::RefPtr< T >

## Public Member Functions

void | set (const CppType& data)
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions

static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members

Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void* data)
void* | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

template <class T >

using Glib::Value_RefPtrBoxed< T >::CppType = Glib::RefPtr<T>

## Member Function Documentation

template <class T >

void Glib::Value_RefPtrBoxed< T >::set | ( | const CppType& | data | ) |

inline

template <class T >

static GType Glib::Value_RefPtrBoxed< T >::value_type | ( |  | ) |

inlinestatic